Bug 818252 - ovirt-engine-backend [Task Manager]: no task is created when reinstalling host
ovirt-engine-backend [Task Manager]: no task is created when reinstalling host
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Eli Mesika
infra
:
Depends On:
Blocks: Simon-RFE-Tracker
  Show dependency treegraph
 
Reported: 2012-05-02 11:10 EDT by Dafna Ron
Modified: 2016-02-10 14:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 05:47:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-05-02 11:10:17 EDT
Description of problem:

we have a task created during host install/maintenance/activate of host but no task is created for reinstall host 

Version-Release number of selected component (if applicable):

si2.1

How reproducible:

100%

Steps to Reproduce:
1. put an existing host in maintenance and reinstall it
2.
3.
  
Actual results:

not task is created

Expected results:

if add host/ maintenance and activate of host is logged in task manager so we should also have reinstall of host logged

Additional info:
Comment 1 Yair Zaslavsky 2012-05-14 07:25:07 EDT
In general, commands that their execution take short time (i.e - update commands) should not be monitored.
Specifically UpdateVdsCommand was configured not to be monitored (see VdcActionType.UpdateVds), however the re-install operation is being executed via the UpdateVdsCommand.
A proper solution would be to expose new Command for re-install or modify the InstallVds command (currently, it is internal).
Comment 2 Itamar Heim 2013-12-29 05:47:47 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.